<style>
    <?php include 'style.css'; ?>
</style>
<?php
$connection = mysqli_connect('localhost', 'root', '', 'quiz') // łączymy się z bazą danych
    or die("Brak połączenia z bazą danych. Spróbuj ponownie później. :(");
$query = "SELECT * FROM pytania"; // kwerenda do pobrania pytań
$questions = $connection->query($query) // pobieramy pytania
    or die("Błąd ładowania pytań. Spróbuj ponownie później. :(");
$answers = ["Od1", "Od2", "Od3", "Od4"]; // tagi odpowiedzi do losowania pytań

# generator formularza z pytaniami

echo "<form action='wynik.php' method='POST'>"; // otwieramy formularz
echo "<label for='name'>Imię</label>
    <input type='text' name='name' required>
    <br>
    <label for='lname'>Nazwisko</label>
    <input type='text' name='lname' required>
    <br>"; // sekcja górna: imię i nazwisko
echo "<ol class='pytania'>"; // lista pytań, numerowana
while ($quest = mysqli_fetch_array($questions)) {   // przechodzimy przez wszystkie pytania w pętli
    echo "<li>" . $quest['Pytanie'] . "<br>";  // tekst pytania
    if ($quest["ImgUrl"] != '') { // jeśli do pytania załączono obrazek
        echo "<img src=" . $quest["ImgUrl"] . " alt='Obrazek się nie załadował? Powiadom nauczyciela!'>"; // wczytaj go!
    }
    echo "<ol class='odpowiedzi'>"; // lista odpowiedzi, ABCD
    shuffle($answers); // losujemy kolejność odpowiedzi dla każdego pytania
    foreach ($answers as $ans) { // przechodzimy przez wszystkie odpowiedzi w pętli
        echo "<li>" . $quest[$ans] . " <input type='radio' name='answers[" . $quest['ID'] . "]' value='" . $ans . "' required></li>"; // np. zaznaczenie odpowiedzi 1 w pytaniu drugim ustawia "Odp1" w 2 indeksie tablicy 'answers'
        // NOTKA: przez losowanie, numer odpowiedzi nie odpowiada kolejności w formularzu
    };
    echo "</ol></li>"; // koniec listy odpowiedzi, przechodzimy do następnego pytania
};
echo "</ol><button type='submit'name='submit'>Wyślij odpowiedzi</button>"; // koniec listy pytań, guzik wysyłania formularza
echo "</form>"; // koniec formularza

$connection->close(); // zamykamy połączenie z bazą danych
?>